IBM MQ 8.0 < 8.0.0.15 / 8.1 < 8.1.0.5 HPE/ 9.1 < 9.1.0.5 LTS / 9.1 < 9.2 CD DoS

Medium Nessus Plugin ID 140187

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 3.6

Synopsis

A message queuing service installed on the remote host is affected by a denial of service vulnerability.

Description

According to its self-reported version, the IBM MQ server installed on the remote host is 8.0.0.x prior to 8.0.0.15, 8.1.x prior to 8.1.0.5, 9.0.x prior to 9.0.0.10, 9.1.0.x prior to 9.1.0.5, or 9.1.x prior to 9.2 and it is therefore affected by a denial of service (DoS) vulnerability. An authenticated, remote attacker can exploit this using an issue within the pubsub messaging logic

Solution

Upgrade to IBM MQ 8.0.0.15, 8.1.0.5 HPE, 9.1.0.5, 9.2, or later.

See Also

https://www.ibm.com/support/pages/node/6252779

https://exchange.xforce.ibmcloud.com/vulnerabilities/179081

https://www.ibm.com/support/pages/node/6242364

https://exchange.xforce.ibmcloud.com/vulnerabilities/179081

Plugin Details

Severity: Medium

ID: 140187

File Name: websphere_mq_ibm6252779.nasl

Version: 1.3

Type: combined

Agent: windows

Family: Windows

Published: 2020/09/02

Updated: 2020/10/07

Dependencies: 57708, 136764

Risk Information

Risk Factor: Medium

VPR Score: 3.6

CVSS Score Source: CVE-2020-4376

CVSS v2.0

Base Score: 4

Temporal Score: 3

Vector: CVSS2#AV:N/AC:L/Au:S/C:N/I:N/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 6.5

Temporal Score: 5.7

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:ibm:websphere_mq

Required KB Items: installed_sw/IBM WebSphere MQ

Exploit Ease: No known exploits are available

Patch Publication Date: 2020/07/23

Vulnerability Publication Date: 2020/07/23

Reference Information

CVE: CVE-2020-4376

IAVA: 2020-A-0383